curl --location --request POST 'https://connect.dispatchable.com/documents/api/v1/templates/00000000-0000-0000-0000-000000000101/preview' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"uuid": "00000000-0000-0000-0000-000000000101",
"type": "load",
"data": {
"uuid": "7c16db3f-bb9b-4d6d-9825-f26490a51dc1",
"company_uuid": "fd8ddd84-420d-4db1-ba17-c1d8b62434a7",
"user_uuid": "9266be0e-d1a7-4ae6-a4c1-63aa281aaa05",
"assigned_to": "9266be0e-d1a7-4ae6-a4c1-63aa281aaa05",
"external_id": null,
"internal_id": 1339,
"is_active": 1,
"status": "active",
"lifecycle": "lead",
"origin_city": null,
"origin_state": null,
"origin_zip": null,
"origin_address_1": null,
"origin_address_2": null,
"origin_contact": null,
"origin_phone_1": null,
"origin_phone_2": null,
"origin_phone_3": null,
"buyer_number": null,
"origin_mobile": null,
"origin_name": null,
"origin_instructions": null,
"destination_city": null,
"destination_state": null,
"destination_zip": null,
"destination_address_1": null,
"destination_address_2": null,
"destination_contact": null,
"destination_phone_1": null,
"destination_phone_2": null,
"destination_phone_3": null,
"destination_mobile": null,
"destination_name": null,
"destination_instructions": null,
"is_touch_free": 0,
"trailer_type": "DRY_VAN",
"load_type": "ltl",
"first_avail": null,
"load_date": null,
"load_terms": null,
"delivery_date": null,
"delivery_terms": null,
"carrier_pay": null,
"carrier_status": "unassigned",
"cod_amount": null,
"additional_info": null,
"additional_terms": null,
"special_instructions": null,
"notes_from_customer": null,
"total": "222.00",
"payment_method": null,
"broker_fee": null,
"shipper_name": null,
"shipper_address": null,
"shipper_phone": null,
"shipper_email": null,
"shipper_status": "untouched",
"load_length": null,
"load_width": null,
"load_height": null,
"load_weight": null,
"load_pieces": null,
"load_unit": null,
"load_description": null,
"load_value": null,
"load_value_currency": null,
"load_payment_term": null,
"load_payment_term_details": null,
"driver_instructions": null,
"driver_instructions_details": null,
"inspection_details": null,
"inspection_type": null,
"shipper_token": null,
"shipper_token_expires_at": null,
"carrier_token": null,
"carrier_token_expires_at": null,
"next_follow_up": null,
"is_responsive": 1,
"parent_uuid": null,
"load_name": null,
"driver_pay": null,
"data_source_name": null,
"data_source_uuid": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"utm_term": null,
"utm_content": null,
"load_hours_from": null,
"load_hours_to": null,
"needs_load_appointment": false,
"needs_driver_call_ahead_load": false,
"needs_load_appt_scheduled": false,
"pickup_ref_no": null,
"shipper_load_method": null,
"origin_contact_email": null,
"delivery_hours_from": null,
"delivery_hours_to": null,
"needs_delivery_appointment": false,
"needs_driver_call_ahead_delivery": false,
"needs_delivery_appt_scheduled": false,
"delivery_ref_no": null,
"shipper_delivery_method": null,
"destination_contact_email": null,
"balance_payment_method": null,
"balance_payment_time": null,
"balance_payment_terms_begin_on": null,
"cod_cop_location": null,
"origin_notes": null,
"delivery_notes": null,
"cash_on_delivery": null,
"billing_notes": null,
"customer_company": "Cronetic Technologies LLC",
"customer_first_name": "Peanut",
"customer_last_name": "Burnt",
"customer_street_address_1": "15325 SW 89 Ave",
"customer_street_address_2": null,
"customer_city": "Miami",
"customer_state": null,
"customer_zip": "33157",
"customer_phone_1": "8882457459",
"customer_phone_2": null,
"customer_email": "stancepro1@aaa.com",
"tracking_number": null,
"created_at": "2025-12-11T21:18:44.000000Z",
"updated_at": "2025-12-12T05:13:51.000000Z",
"deleted_at": null,
"commodities": [
{
"id": 10,
"uuid": "76fb41c2-b855-4f38-89d5-daa764e7dbc8",
"company_uuid": "fd8ddd84-420d-4db1-ba17-c1d8b62434a7",
"load_uuid": "7c16db3f-bb9b-4d6d-9825-f26490a51dc1",
"created_by": "9266be0e-d1a7-4ae6-a4c1-63aa281aaa05",
"name": "bottles",
"description": null,
"package_type": "PALLET_48x40",
"quantity": 1,
"is_new": 1,
"is_fragile": 0,
"is_trade_show": 0,
"is_hazardous": 0,
"contains_hazardous_material": 0,
"length_in": "48.00",
"width_in": "40.00",
"height_in": "123.00",
"weight_lbs": "1.00",
"nmfc_code": null,
"freight_class": null,
"is_stackable": null,
"is_forkliftable": null,
"requires_tarps": null,
"requires_reefer": null,
"temp_min_f": null,
"temp_max_f": null,
"is_hazmat": false,
"hazmat_un_number": null,
"hazmat_proper_name": null,
"hazmat_class": null,
"hazmat_packing_group": null,
"declared_value": null,
"currency": "USD",
"shipping_cost": "222.00",
"deposit": "1.00",
"chains": 4,
"straps": 0,
"created_at": "2025-12-11T21:21:52.000000Z",
"updated_at": "2025-12-11T21:21:52.000000Z",
"deleted_at": null
}
]
}
}'